FUNCTION::PRINT_USTA(3stap)

NAME
function::print_ustack - Print out stack for the current task from string.

SYNOPSIS

    print_ustack(stk:string)

ARGUMENTS

stk
    String with list of hexadecimal addresses for the current task.

DESCRIPTION

Perform a symbolic lookup of the addresses in the given string, which is assumed to be the result of a prior call to ubacktrace for the current task.

Print one line per address, including the address, the name of the function containing the address, and an estimate of its position within that function. Return nothing.

NOTE

it is recommended to use print_usyms instead of this function.

SEE ALSO
tapset::ucontext-symbols(3stap)